Bug 118189 - EDITING Crashes on Undo after Cut conditional formatting data
Summary: EDITING Crashes on Undo after Cut conditional formatting data
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta2+
Hardware: All All
: highest critical
Assignee: Dennis Francis
URL:
Whiteboard: target:6.2.0 target:6.1.0.1 target:6.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-06-16 11:17 UTC by Emil Tanev
Modified: 2018-06-23 06:29 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
file (8.53 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-06-16 11:17 UTC, Emil Tanev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2018-06-16 11:17:02 UTC
Created attachment 142790 [details]
file

Copy the table from the attached Excel file
Paste it in Calc
Right-click - Cut (the pasted table)
Undo

Issue: Crashes
https://screencast-o-matic.com/watch/cF1DXIFQGN

Version: 6.1.0.0.beta2+
Build ID: 5e58b203e03fbcf6ca1399954bc01871474c973e
CPU threads: 1; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86@42, Branch:libreoffice-6-1, Time: 2018-06-16_04:07:37
Locale: ja-JP (ja_JP); Calc: group threaded
Comment 1 raal 2018-06-16 13:11:51 UTC
no crash 
Version: 6.2.0.0.alpha0+
Build ID: c4c56de1b0e62ec866b519b2b24c5e805f0a86d3
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;
Comment 2 raal 2018-06-16 13:30:34 UTC
I can confirm with Version: 6.2.0.0.alpha0+ (x64)
Build ID: 2c85607101e2e04e870e3b87362f39f9a9148e6c
CPU threads: 1; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-16_00:12:37
Comment 3 raal 2018-06-16 13:34:12 UTC
no crash in 6.0.4, regression.
Comment 4 Brascens 2018-06-16 13:50:30 UTC
I confirm this bug.

Copy the table form the attached Excel file
Paste it in Calc

Then Calc crashes.
http://crashreport.libreoffice.org/stats/crash_details/21c3c5c3-3521-4643-b46c-807433a21e78

Version: 6.0.4.2
Build ID: 1:6.0.4~rc2-0ubuntu0.18.04.1
Threads CPU : 8; OS : Linux 4.15; UI Render : par défaut; VCL: kde4; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 5 Xisco Faulí 2018-06-17 10:52:18 UTC
While testing this, I found bug 118207
Comment 6 Telesto 2018-06-17 10:54:32 UTC
No repro with
Version: 5.4.1.0.0+
Build ID: f200d5700782ae179fd96b6ad4b0fe8e7edd1616
CPU threads: 4; OS: Windows 6.29; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 7 Xisco Faulí 2018-06-17 11:24:14 UTC
Steps I followed to reproduce this:

1. Open attached document
2. Copy Column A
3. New Spreadsheet
4. Paste it
5. Cut it
6. Undo

-> CRASH

Regression introduced by:

author	Dennis Francis <dennis.francis@collabora.co.uk>	2018-06-10 15:23:39 +0530
committer	Eike Rathke <erack@redhat.com>	2018-06-11 12:52:54 +0200
commit	37f6e5de1e72d209b0892734f4de5c4d8a849885 (patch)
tree	f8f231827c243a196db2c984670732b5b231414f
parent	e1ea52fab05ceaed96dad0529daccb4c7e158996 (diff)
tdf#114710 : Fixes crash when pasting as GDI metafile

Bisected with: bibisect-linux64-6.2

Adding Cc: to Dennis Francis
Comment 8 Xisco Faulí 2018-06-17 11:29:05 UTC
(In reply to Brascens from comment #4)
> I confirm this bug.
> 
> Copy the table form the attached Excel file
> Paste it in Calc
> 
> Then Calc crashes.
> http://crashreport.libreoffice.org/stats/crash_details/21c3c5c3-3521-4643-
> b46c-807433a21e78
> 
> Version: 6.0.4.2
> Build ID: 1:6.0.4~rc2-0ubuntu0.18.04.1
> Threads CPU : 8; OS : Linux 4.15; UI Render : par défaut; VCL: kde4; 
> Locale : fr-FR (fr_FR.UTF-8); Calc: group

Hello Brascens,
it seems you reproduced a different crash, as you can reproduce it in 6.0.4.2 and the crash signature is different -> http://crashreport.libreoffice.org/stats/signature/SfxItemSet::GetItemState(unsigned%20short,%20bool,%20SfxPoolItem%20const**)%20const

Could you please give more details how you reproduced the crash?
Comment 9 Telesto 2018-06-17 12:30:26 UTC
(In reply to Xisco Faulí from comment #8)
> Could you please give more details how you reproduced the crash?

1. Open attached document
2. Copy Column A
3. New Spreadsheet
4. Paste it -> Crash

http://crashreport.libreoffice.org/stats/crash_details/9f073486-6963-4f74-a511-390c6d354970

Versie: 6.1.0.0.beta1 (x64)
Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
CPU-threads: 4; Besturingssysteem: Windows 6.3; UI-render: GL; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 10 Xisco Faulí 2018-06-17 14:10:38 UTC
(In reply to Telesto from comment #9)
> (In reply to Xisco Faulí from comment #8)
> > Could you please give more details how you reproduced the crash?
> 
> 1. Open attached document
> 2. Copy Column A
> 3. New Spreadsheet
> 4. Paste it -> Crash
> 
> http://crashreport.libreoffice.org/stats/crash_details/9f073486-6963-4f74-
> a511-390c6d354970
> 
> Versie: 6.1.0.0.beta1 (x64)
> Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
> CPU-threads: 4; Besturingssysteem: Windows 6.3; UI-render: GL; 
> Locale: nl-NL (nl_NL); Calc: CL

This is fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=1e55a47e89a9d9d6cf9cb3993484022aaf2c097b
Comment 11 Dennis Francis 2018-06-18 14:30:25 UTC
Patch @ https://gerrit.libreoffice.org/#/c/55975/ in review.
Comment 12 Commit Notification 2018-06-19 23:28:53 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67c88e284af74c88e37cc8f66cdfc0e346de45ac

tdf#118189 : Propagate the state of mbNeedsNumberFormat...

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-06-20 10:41:02 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6cb04c2c6ca284bc18f25403252231580190aa3b&h=libreoffice-6-1

tdf#118189 : Propagate the state of mbNeedsNumberFormat...

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-06-20 10:41:17 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ea1e4e4a47b0a1b0cf3dfcb0b1e2a32f0db3d88&h=libreoffice-6-0

tdf#118189 : Propagate the state of mbNeedsNumberFormat...

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Xisco Faulí 2018-06-20 14:22:45 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 370a30b6acc5b99b6046440f6b5f4f3f5f9f4b1a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Dennis, thanks for fixing this!!
Comment 16 Xisco Faulí 2018-06-20 15:16:55 UTC
(In reply to Telesto from comment #9)
> (In reply to Xisco Faulí from comment #8)
> > Could you please give more details how you reproduced the crash?
> 
> 1. Open attached document
> 2. Copy Column A
> 3. New Spreadsheet
> 4. Paste it -> Crash
> 
> http://crashreport.libreoffice.org/stats/crash_details/9f073486-6963-4f74-
> a511-390c6d354970
> 
> Versie: 6.1.0.0.beta1 (x64)
> Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
> CPU-threads: 4; Besturingssysteem: Windows 6.3; UI-render: GL; 
> Locale: nl-NL (nl_NL); Calc: CL

Not reproducible in

Version: 6.1.0.0.beta2+
Build ID: 9956e32fab5ccd44d48cb26bb5d2d3ffd0f81446
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

either!!
Comment 17 Commit Notification 2018-06-22 20:14:23 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fcb97088e7be05098b829913a4f392c8d91ff4a8

uitest for bug tdf#118189

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.